body {
  background: skyblue;
}

h1 {
  text-align: center;
  color: #fff;
  letter-spacing: -0.5px;
}

@keyframes grandmom {
  30% {
    transform: rotate(10deg) scale(1);
  }
  40% {
    transform: rotate(-10deg) scale(1);
  }
  50% {
    transform: rotate(10deg) scale(1);
  }
  75% {
    transform: rotate(-10deg) scale(1);
  }
  90% {
    transform: rotate(10deg) scale(1.2);
  }
  100% {
    transform: rotate(-20deg) scale(1.2);
  }
}

@keyframes cheekMoving {
  50% {
    opacity: 0.9;
  }
  to {
    transform: scale(1.4);
  }
}

@keyframes hairMoving {
  0% {
    transform: rotate(-10deg);
  }
  100% {
    transform: rotate(10deg);
  }
}

@keyframes eyeLeftMoving {
  65% {
    width: 32px;
    height: 16px;
    border-radius: 4px 4px 30px 30px;
    transform: translate(-50%, -50%) rotate(8deg);
  }
  70% {
    width: 32px;
    height: 16px;
    border-radius: 4px 4px 30px 30px;
    transform: translate(-50%, -50%) rotate(20deg) scale(1.1);
  }
  75% {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    transform: translate(-50%, -50%) rotate(8deg) scale(1);
  }
  100% {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    transform: translate(-50%, -50%) rotate(8deg) scale(1.5);
  }
}

@keyframes eyeRightMoving {
  65% {
    width: 32px;
    height: 16px;
    border-radius: 4px 4px 30px 30px;
    transform: translate(50%, -50%) rotate(-8deg);
  }
  70% {
    width: 32px;
    height: 16px;
    border-radius: 4px 4px 30px 30px;
    transform: translate(50%, -50%) rotate(-20deg) scale(1.1);
  }
  75% {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    transform: translate(50%, -50%) rotate(-8deg) scale(1);
  }
  100% {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    transform: translate(50%, -50%) rotate(-8deg) scale(1.5);
  }
}

@keyframes crying {
  60% {
    opacity: 0;
    top: 42%;
  }
  75% {
    opacity: 1;
    top: 43%;
    height: 10px;
  }
  100% {
    opacity: 1;
    top: 45%;
    height: 200px;
  }
}

@keyframes brightMovning {
  0% {
    transform: scale(1) translate(-10%, -10%);
  }
  60% {
    transform: scale(1) translate(0%, 0%);
  }
  to {
    transform: scale(1.2) translate(10%, 10%);
  }
}

@keyframes mouthMoving {
  20% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, -10%);
  }
  25% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, 10%);
  }
  30% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, -10%);
  }
  35% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, 10%);
  }
  40% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, -10%);
  }
  45% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, 10%);
  }
  50% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, -10%);
  }
  55% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, 10%);
  }
  60% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, -10%);
  }
  65% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, 10%);
  }
  70% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, -10%);
  }
  75% {
    width: 40px;
    height: 1px;
    transform: translate(-50%, 10%);
  }
  to {
    width: 40px;
    height: 30px;
    transform: translate(-50%, 30%);
  }
}

@keyframes eyebrowLeft {
  65% {
    top: 45%;
    transform: rotate(8deg);
  }
  70% {
    top: 47%;
    transform: rotate(30deg);
  }
  75% {
    top: 47%;
    transform: rotate(30deg);
  }
  100% {
    top: 40%;
    transform: rotate(8deg);
  }
}

@keyframes eyebrowRight {
  65% {
    top: 45%;
    transform: rotate(-8deg);
  }
  70% {
    top: 47%;
    transform: rotate(-30deg);
  }
  75% {
    top: 47%;
    transform: rotate(-30deg);
  }
  100% {
    top: 40%;
    transform: rotate(-8deg);
  }
}

.grandmother {
  animation: grandmom 4s infinite alternate;
  width: 600px;
  height: 600px;
  overflow: hidden;
  position: relative;
  left: 50%;
  margin: 50px auto auto -300px;
}

.grandmother .face {
  border: 8px solid #5b3c27;
  width: 380px;
  height: 320px;
  background: #d2b48e;
  border: 8px solid #5b3c27;
  border-radius: 50%;
  position: absolute;
  top: 33%;
  left: 50%;
  transform: translateX(-50%);
  z-index: 3;
  overflow: hidden;
}

.grandmother .face .eye {
  position: relative;
  width: 32px;
  height: 16px;
  border-radius: 4px 4px 30px 30px;
  background: #5b3c27;
  top: 40%;
  z-index: 3;
  overflow: hidden;
}

.grandmother .face .eye.left {
  animation: eyeLeftMoving 4s ease infinite alternate;
  position: absolute;
  left: 36%;
  transform: translate(-50%, -50%) rotate(8deg);
}

.grandmother .face .eye.right {
  animation: eyeRightMoving 4s ease infinite alternate;
  position: absolute;
  right: 36%;
  transform: translate(50%, -50%) rotate(-8deg);
}

.grandmother .face .eye .bright {
  width: 8px;
  height: 8px;
  position: absolute;
  top: 20%;
  left: 30%;
  transform: translate(-50%, -50%);
}

.grandmother .face .eye .bright, .grandmother .face .eye .bright::before, .grandmother .face .eye .bright::after {
  display: block;
  background-color: white;
  border-radius: 50%;
  animation: brightMovning 4s ease infinite alternate;
}

.grandmother .face .eye .bright::before {
  content: '';
  width: 6px;
  height: 4px;
  position: absolute;
  top: 10px;
  left: 10px;
  transform: translate(-50%, -50%);
}

.grandmother .face .eye .bright::after {
  width: 4px;
  height: 4px;
  content: '';
  position: absolute;
  top: 10px;
  left: 0px;
  transform: translate(-50%, -50%);
}

.grandmother .face .cry {
  animation: crying 4s ease infinite alternate;
  width: 20px;
  height: 10px;
  background: skyblue;
  border-radius: 10px;
  position: absolute;
  top: 42%;
  z-index: 3;
  opacity: 0;
}

.grandmother .face .cry.left {
  left: 33%;
}

.grandmother .face .cry.right {
  right: 33%;
}

.grandmother .ear {
  background: #d2b48e;
  border: 8px solid #5b3c27;
  width: 60px;
  height: 80px;
  display: inline-block;
  position: absolute;
  top: 300px;
}

.grandmother .ear::before {
  content: '';
  display: block;
  width: 48px;
  height: 8px;
  background: #5b3c27;
  position: absolute;
  top: 35px;
}

.grandmother .ear.left {
  border-radius: 80px 0 0 80px;
  transform: rotate(10deg);
  position: absolute;
  left: 10%;
}

.grandmother .ear.left::before {
  border-radius: 10px 0 0 10px;
  right: 0;
}

.grandmother .ear.right {
  border-radius: 0 80px 80px 0;
  transform: rotate(-10deg);
  right: 10%;
}

.grandmother .ear.right::before {
  border-radius: 0 10px 10px 0;
  left: 0;
}

.grandmother .mouth {
  animation: mouthMoving 4s ease infinite alternate;
  width: 40px;
  height: 1px;
  border-radius: 4px 4px 50% 50%;
  background-color: #D7715F;
  border: 8px solid #5b3c27;
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, 0);
  z-index: 3;
}

.grandmother .mouth::before {
  content: '';
  display: block;
  width: 8px;
  height: 8px;
  border-radius: 0 0 4px 4px;
  background: white;
  margin-left: 26px;
}

.grandmother .cheek {
  animation: cheekMoving 0.4s ease infinite alternate;
  width: 36px;
  height: 20px;
  border-radius: 50%;
  background-color: #D7715F;
  position: absolute;
  top: 43%;
  z-index: 3;
}

.grandmother .cheek.left {
  left: 18%;
}

.grandmother .cheek.right {
  right: 18%;
}

.grandmother .eyebrow {
  width: 30px;
  height: 12px;
  border-radius: 10px 10px 10px 10px;
  box-sizing: border-box;
  background: silver;
  top: 45%;
  z-index: 3;
  border: 4px solid #5b3c27;
}

.grandmother .eyebrow.left {
  animation: eyebrowLeft 4s ease infinite alternate;
  position: absolute;
  left: 38%;
  transform: rotate(8deg);
}

.grandmother .eyebrow.right {
  animation: eyebrowRight 4s ease infinite alternate;
  position: absolute;
  right: 38%;
  transform: rotate(-8deg);
}

.grandmother .line {
  width: 200px;
  height: 5px;
  overflow: hidden;
  position: absolute;
  top: 40%;
  left: 50%;
  margin-left: -100px;
  z-index: 3;
  text-decoration: underline wavy;
  line-height: 2;
}

.grandmother .hair {
  z-index: 2;
  width: 400px;
  height: 400px;
  position: relative;
  margin: 100px auto;
  border: 8px solid #5b3c27;
  background: silver;
  border-radius: 50%;
  overflow: hidden;
}

.grandmother .hair::before {
  content: '';
  display: block;
  width: 8px;
  height: 120px;
  position: absolute;
  top: 0;
  left: 50%;
  margin-left: -4px;
  background: #5b3c27;
  z-index: 2;
}

.grandmother .hair div {
  border: 8px solid #5b3c27;
  box-sizing: border-box;
  background: #eee;
  border-radius: 50%;
  width: 420px;
  height: 400px;
  position: absolute;
  left: -10px;
}

.grandmother .hair .circle1 {
  top: 15px;
  background: #bbb;
}

.grandmother .hair .circle2 {
  top: 40px;
  background: #ccc;
}

.grandmother .hair .circle3 {
  top: 65px;
  background: #aaa;
}

.grandmother .hair_back {
  position: absolute;
  top: 5%;
  left: 50%;
  margin-left: -80px;
  transform-origin: center 100%;
  animation: hairMoving 1s ease infinite alternate;
}

.grandmother .hair_back .hair2 {
  border: 8px solid #5b3c27;
  background: #aaa;
  width: 160px;
  height: 120px;
  border-radius: 50%;
  z-index: 1;
  box-sizing: border-box;
  position: relative;
}

.grandmother .hair_back .pin {
  background: #5b3c27;
  width: 240px;
  height: 10px;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-left: -120px;
  border-radius: 5px;
  z-index: 0;
}
